%define _use_internal_dependency_generator 0

Name: l4vip
Version: 1.0.2
Release: 1%{?dist}
Epoch: 1
Summary: L4 DSR configuration init script
Summary(ko): L4 DSR 설정 init 스크립트
License: GPL
Group: System Environment/Base
BuildRoot: %(mktemp -ud %{_tmppath}/%{name}-%{version}-%{release}-XXXXXX)
Source0: %{name}.init
Source1: %{name}.sysconfig
Source2: %{name}.functions
BuildArchitectures: noarch

%description
L4 DSR configuration init scrpit and configuration file

%install
rm -rf %{buildroot}
%{__mkdir_p} %{buildroot}%{_sysconfdir}/rc.d/init.d
%{__mkdir_p} %{buildroot}%{_sysconfdir}/sysconfig
%{__mkdir_p} %{buildroot}%{_datadir}/%{name}

install -m755 %{SOURCE0} %{buildroot}%{_sysconfdir}/rc.d/init.d/%{name}
install -m644 %{SOURCE1} %{buildroot}%{_sysconfdir}/sysconfig/%{name}
install -m644 %{SOURCE2} %{buildroot}%{_datadir}/%{name}/functions

%clean
rm -rf %{buildroot}

%post
/sbin/chkconfig --add l4vip
/sbin/chkconfig --level 35 l4vip on

%preun
if [ $1 = 0 ]; then
	/sbin/chkconfig --level 35 l4vip off
	/sbin/chkconfig --del l4vip
fi

%files
%defattr(-,root,root)
%{_sysconfdir}/rc.d/init.d/l4vip
%{_datadir}/%{name}/functions
%config(noreplace) %{_sysconfdir}/sysconfig/l4vip

%changelog
* Thu Jun 21 2012 JoungKyun.Kim <http://oops.org> 1:1.0.2-1%{?dist}
- fixed tun driver kernel paramiter set

* Mon Mar 26 2012 JoungKyun.Kim <http://oops.org> 1:1.0.1-1%{?dist}
- support DSR kernel parameter api (arp_ignore/arp_announce)

* Sat Feb  4 2011 JoungKyun.Kim <http://oops.org> 1:1.0.0-1%{?dist}
- fixed suffix check routine

